namespace Gdmt.Shared

module LicenseMapping =
    let SpdxToEbuildMap =
        Map.ofList
            [ ("0BSD", "0BSD")
              ("AFL-2.1", "AFL-2.1")
              ("AFL-3.0", "AFL-3.0")
              ("AGPL-3.0", "AGPL-3")
              ("AGPL-3.0+", "AGPL-3+")
              ("AGPL-3.0-only", "AGPL-3")
              ("AGPL-3.0-or-later", "AGPL-3+")
              ("Aladdin", "Aladdin")
              ("AMPAS", "AMPAS")
              ("Apache-1.0", "Apache-1.0")
              ("Apache-1.1", "Apache-1.1")
              ("Apache-2.0", "Apache-2.0")
              ("Apache-2.0 WITH LLVM-exception", "Apache-2.0-with-LLVM-exceptions")
              ("APL-1.0", "APL-1.0")
              ("APSL-2.0", "APSL-2")
              ("Artistic-1.0", "Artistic")
              ("Artistic-1.0-cl8", "Artistic")
              ("Artistic-1.0-Perl", "Artistic")
              ("Artistic-2.0", "Artistic-2")
              ("Beerware", "BEER-WARE")
              ("BSD-1-Clause", "BSD-1")
              ("BSD-2-Clause", "BSD-2")
              ("BSD-2-Clause-Patent", "BSD-2-with-patent")
              ("BSD-2-Clause-Views", "BSD-2")
              ("BSD-3-Clause", "BSD")
              ("BSD-4-Clause", "BSD-4")
              ("BSL-1.0", "Boost-1.0")
              ("BUSL-1.1", "BUSL-1.1")
              ("bzip2-1.0.5", "BZIP2")
              ("bzip2-1.0.6", "BZIP2")
              ("CC-BY-2.0", "CC-BY-2.0")
              ("CC-BY-2.5", "CC-BY-2.5")
              ("CC-BY-3.0", "CC-BY-3.0")
              ("CC-BY-4.0", "CC-BY-4.0")
              ("CC-BY-NC-4.0", "CC-BY-NC-4.0")
              ("CC-BY-NC-ND-2.0", "CC-BY-NC-ND-2.0")
              ("CC-BY-NC-ND-2.5", "CC-BY-NC-ND-2.5")
              ("CC-BY-NC-ND-3.0", "CC-BY-NC-ND-3.0")
              ("CC-BY-NC-ND-4.0", "CC-BY-NC-ND-4.0")
              ("CC-BY-NC-SA-1.0", "CC-BY-NC-SA-1.0")
              ("CC-BY-NC-SA-2.5", "CC-BY-NC-SA-2.5")
              ("CC-BY-NC-SA-3.0", "CC-BY-NC-SA-3.0")
              ("CC-BY-NC-SA-4.0", "CC-BY-NC-SA-4.0")
              ("CC-BY-ND-3.0", "CC-BY-ND-3.0")
              ("CC-BY-ND-4.0", "CC-BY-ND-4.0")
              ("CC-BY-SA-1.0", "CC-BY-SA-1.0")
              ("CC-BY-SA-2.0", "CC-BY-SA-2.0")
              ("CC-BY-SA-2.5", "CC-BY-SA-2.5")
              ("CC-BY-SA-3.0", "CC-BY-SA-3.0")
              ("CC-BY-SA-4.0", "CC-BY-SA-4.0")
              ("CC-PDDC", "CC-PD")
              ("CC0-1.0", "CC0-1.0")
              ("CDDL-1.0", "CDDL")
              ("CDDL-1.1", "CDDL-1.1")
              ("CECILL-2.0", "CeCILL-2")
              ("CECILL-B", "CeCILL-B")
              ("CECILL-C", "CeCILL-C")
              ("CPAL-1.0", "CPAL-1.0")
              ("CPL-1.0", "CPL-1.0")
              ("CPOL-1.02", "CPOL")
              ("curl", "curl")
              ("ECL-2.0", "ECL-2.0")
              ("EPL-1.0", "EPL-1.0")
              ("EPL-2.0", "EPL-2.0")
              ("ErlPL-1.1", "ErlPL-1.1")
              ("EUPL-1.1", "EUPL-1.1")
              ("EUPL-1.2", "EUPL-1.2")
              ("FSFAP", "FSFAP")
              ("FTL", "FTL")
              ("GD", "gd")
              ("GFDL-1.1", "FDL-1.1")
              ("GFDL-1.1-invariants-only", "FDL-1.1")
              ("GFDL-1.1-invariants-or-later", "FDL-1.1+")
              ("GFDL-1.1-no-invariants-only", "FDL-1.1")
              ("GFDL-1.1-no-invariants-or-later", "FDL-1.1+")
              ("GFDL-1.1-only", "FDL-1.1")
              ("GFDL-1.1-or-later", "FDL-1.1+")
              ("GFDL-1.2", "FDL-1.2")
              ("GFDL-1.2-invariants-only", "FDL-1.2")
              ("GFDL-1.2-invariants-or-later", "FDL-1.2+")
              ("GFDL-1.2-no-invariants-only", "FDL-1.2")
              ("GFDL-1.2-no-invariants-or-later", "FDL-1.2+")
              ("GFDL-1.2-only", "FDL-1.2")
              ("GFDL-1.2-or-later", "FDL-1.2+")
              ("GFDL-1.3", "FDL-1.3")
              ("GFDL-1.3-invariants-only", "FDL-1.3")
              ("GFDL-1.3-invariants-or-later", "FDL-1.3+")
              ("GFDL-1.3-no-invariants-only", "FDL-1.3")
              ("GFDL-1.3-no-invariants-or-later", "FDL-1.3+")
              ("GFDL-1.3-only", "FDL-1.3")
              ("GFDL-1.3-or-later", "FDL-1.3+")
              ("Glulxe", "Glulxe")
              ("gnuplot", "gnuplot")
              ("GPL-1.0", "GPL-1")
              ("GPL-1.0+", "GPL-1+")
              ("GPL-1.0-only", "GPL-1")
              ("GPL-1.0-or-later", "GPL-1+")
              ("GPL-2.0", "GPL-2")
              ("GPL-2.0+", "GPL-2+")
              ("GPL-2.0-only", "GPL-2")
              ("GPL-2.0-or-later", "GPL-2+")
              ("GPL-2.0-with-classpath-exception", "GPL-2-with-classpath-exception")
              ("GPL-2.0 WITH Classpath-exception-2.0", "GPL-2-with-classpath-exception")
              ("GPL-2.0-only WITH Classpath-exception-2.0", "GPL-2-with-classpath-exception")
              ("GPL-2.0-with-font-exception", "GPL-2-with-font-exception")
              ("GPL-2.0 WITH Font-exception-2.0", "GPL-2-with-font-exception")
              ("GPL-2.0-only WITH Font-exception-2.0", "GPL-2-with-font-exception")
              ("GPL-3.0", "GPL-3")
              ("GPL-3.0+", "GPL-3+")
              ("GPL-3.0-only", "GPL-3")
              ("GPL-3.0-or-later", "GPL-3+")
              ("GPL-3.0 WITH Font-exception-3.0", "GPL-3-with-font-exception")
              ("GPL-3.0-only WITH Font-exception-3.0", "GPL-3-with-font-exception")
              ("GPL-3.0+ WITH Font-exception-3.0", "GPL-3+-with-font-exception")
              ("GPL-3.0-or-later WITH Font-exception-3.0", "GPL-3+-with-font-exception")
              ("HPND", "HPND")
              ("ICU", "icu")
              ("IJG", "IJG")
              ("ImageMagick", "imagemagick")
              ("Info-ZIP", "Info-ZIP")
              ("Interbase-1.0", "Interbase-1.0")
              ("IPA", "IPAfont")
              ("IPL-1.0", "IBM")
              ("ISC", "ISC")
              ("JSON", "JSON")
              ("LGPL-2.0", "LGPL-2")
              ("LGPL-2.0+", "LGPL-2+")
              ("LGPL-2.0-only", "LGPL-2")
              ("LGPL-2.0-or-later", "LGPL-2+")
              ("LGPL-2.1", "LGPL-2.1")
              ("LGPL-2.1+", "LGPL-2.1+")
              ("LGPL-2.1-only", "LGPL-2.1")
              ("LGPL-2.1-or-later", "LGPL-2.1+")
              ("LGPL-3.0", "LGPL-3")
              ("LGPL-3.0+", "LGPL-3+")
              ("LGPL-3.0-only", "LGPL-3")
              ("LGPL-3.0-or-later", "LGPL-3+")
              ("Libpng", "libpng")
              ("libpng-2.0", "libpng2")
              ("libtiff", "libtiff")
              ("LPL-1.02", "LPL-1.02")
              ("LPPL-1.2", "LPPL-1.2")
              ("LPPL-1.3c", "LPPL-1.3c")
              ("MirOS", "MirOS")
              ("MIT", "MIT")
              ("MIT-0", "MIT-0")
              ("MIT-advertising", "MIT-with-advertising")
              ("mpich2", "mpich2")
              ("MPL-1.0", "MPL-1.0")
              ("MPL-1.1", "MPL-1.1")
              ("MPL-2.0", "MPL-2.0")
              ("NPL-1.1", "NPL-1.1")
              ("OFL-1.0", "OFL")
              ("OFL-1.0-RFN", "OFL")
              ("OFL-1.1", "OFL-1.1")
              ("OFL-1.1-RFN", "OFL-1.1")
              ("OLDAP-2.7", "OPENLDAP")
              ("OpenSSL", "openssl")
              ("OPUBL-1.0", "OPL")
              ("OSL-1.1", "OSL-1.1")
              ("OSL-2.0", "OSL-2.0")
              ("OSL-2.1", "OSL-2.1")
              ("PHP-3.0", "PHP-3")
              ("PHP-3.01", "PHP-3.01")
              ("PostgreSQL", "POSTGRESQL")
              ("PSF-2.0", "PSF-2")
              ("psutils", "psutils")
              ("Python-2.0", "PYTHON")
              ("QPL-1.0", "QPL-1.0")
              ("Rdisc", "rdisc")
              ("RSA-MD", "RSA")
              ("Ruby", "Ruby")
              ("Sendmail", "Sendmail")
              ("SGI-B-2.0", "SGI-B-2.0")
              ("Sleepycat", "Sleepycat")
              ("SSPL-1.0", "SSPL-1")
              ("TCL", "tcltk")
              ("TCP-wrappers", "tcp_wrappers_license")
              ("Unicode-DFS-2016", "Unicode-DFS-2016")
              ("Unlicense", "Unlicense")
              ("Vim", "vim")
              ("VOSTROM", "VOSTROM")
              ("W3C", "W3C")
              ("Watcom-1.0", "Watcom-1.0")
              ("WTFPL", "WTFPL-2")
              ("Zend-2.0", "Zend-2.0")
              ("Zlib", "ZLIB")
              ("ZPL-2.1", "ZPL") ]
